use uom::si::electric_potential::millivolt;
use uom::si::quantities::ElectricPotential;

pub fn reading_to_voltage(
    reading: u16,
    reference_voltage: ElectricPotential<f32>,
    v_ref_int_scale: f32,
) -> ElectricPotential<f32> {
    let reference_mv = reference_voltage.get::<millivolt>();
    let reading = f32::from(reading);
    
    ElectricPotential::new::<millivolt>(reading * v_ref_int_scale / reference_mv)
}
